## l2tpd 0.70

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# $Id$
 #
 # Layer Two Tunneling Protocol Daemon
 # Copyright (C)1998 Adtran, Inc.
@@ -20,17 +21,19 @@
 # -DDEBUG_CONTROL shows info on every control packet
 # -DDEBUG_PPPD shows the command line of pppd
 # -DDEBUG_HIDDEN debugs hidden AVP's
+# -DDEBUG_ENTROPY debug entropy generation
 # -DTEST_HIDDEN makes Assigned Call ID sent as a hidden AVP
 #
 # Also look at the top of network.c for some other (eventually to 
 # become runtime options) debugging flags
 #
 #DFLAGS= -g -O2 -DDEBUG_PPPD
-DFLAGS= -g -O2 -DDEBUG_PPPD -DDEBUG_CONTROL
+DFLAGS= -g -O2 -DDEBUG_PPPD -DDEBUG_CONTROL -DDEBUG_ENTROPY
 #
 # Uncomment the next line for Linux
 #
-OSFLAGS= -DLINUX -I/usr/include
+OSFLAGS= -DLINUX 
+#OSFLAGS= -DLINUX -I/usr/include
 #
 # Uncomment the following to use the kernel interface under Linux
 #
@@ -47,8 +50,15 @@
 #
 #OSFLAGS= -DSOLARIS
 #OSLIBS= -lnsl -lsocket
+#
+# Feature flags
+#
+# Comment the following line to disable l2tpd maintaining IP address
+# pools to pass to pppd to control IP address allocation
 
-CFLAGS= $(DFLAGS) -Wall -DSANITY $(OSFLAGS)
+FFLAGS= -DIP_ALLOCATION 
+
+CFLAGS= $(DFLAGS) -Wall -DSANITY $(OSFLAGS) $(FFLAGS)
 HDRS=l2tp.h avp.h misc.h control.h call.h scheduler.h file.h aaa.h md5.h
 OBJS=l2tpd.o pty.o misc.o control.o avp.o call.o network.o avpsend.o scheduler.o file.o aaa.o md5.o
 LIBS= $(OSLIB) # -lefence # efence for malloc checking
