=== debian/changelog ===
l2tpd (0.70-pre20031121-1) unstable; urgency=high

  * New version including debian diff (closes: #240958).
  * debian/rules rewritten. (closes: #240964).
  * l2tpd is now a good daemon. (closes: #240965).
  * Added support for listen-address.
  * Fix for secret file fd leak (Vilmos Nebehaj).
  * Fix for buffer leak on failed control messages (Damion de Soto).
  * Rewrote avp handling code (indianess / alignement awareness) 
    (closes: #198815).
  * Hostname properly dealt with (from config or real hostname).
  * Rewrote pid handling code. (closes: #228415).
  * Remove control pipe on exit.
  * Added little control pipe input checking + basic doc.
  * Fix multiline string gcc issue (Andreas Metzler).
    (closes: #194945).
  * Fix package description (closes: #172748).
  * Fix for w2k ECHO issue (Damion de Soto) (closes: #222468).
  * Merged with upstream subversion repository.

 -- Jean-Francois Dive <jef@debian.org>  Sun,  2 May 2004 19:14:23 +0200

l2tpd (0.69-1) unstable; urgency=low

  * New upstream version (0.69).
  * Essentially documentation addition (closes: #141816).

 -- Jean-Francois Dive <jef@debian.org>  Mon,  9 Sep 2002 23:16:06 +1000

l2tpd (0.68-1) unstable; urgency=high

  * New upstream version (0.68).
  * Fix possible security flaw in random sources, which now use
    /dev/urandom. (see bugtraq post for more information).
  * Added man page for l2tpd.conf (integrated in upstream).
  * Fixed daemon mode bug (workarounded).

 -- Jean-Francois Dive <jef@debian.org>  Tue, 13 Aug 2002 23:43:33 +1000

l2tpd (0.67-1) unstable; urgency=low

  * New upstream version (0-67).
  * Added support for daemon mode (integrated in upstream).
  * Added support for command line parameters (integrated in upstream).
  * Added support for pid file (integrated in upstream).
  * Fixed init script to handle pid file.
  * Changed maintainer address.

 -- Jean-Francois Dive <jef@debian.org>  Tue, 16 Apr 2002 17:25:11 +1000

l2tpd (0.66-1) unstable; urgency=low

  * New upstream version (0-66) (closes: #141049),
    mainly fixes control tunnel authentication.

 -- Jean-Francois Dive <jef@linuxbe.org>  Mon,  8 Apr 2002 21:30:37 +1000

l2tpd (0.65-1-1) unstable; urgency=low

  * Fixed startup script problem (closes: #137761).
  * New upstream update.
  * Fixed compilation error on non intel or m68k (sigaction structure).
  * Fixed license file.

 -- Jean-Francois Dive <jef@linuxbe.org>  Thu, 21 Feb 2002 15:36:08 +1100

l2tpd (0.64-1) unstable; urgency=low

  * Initial Debianization (closes: #127683).

 -- Jean-Francois Dive <jef@linuxbe.org>  Thu, 21 Feb 2002 15:36:08 +1100
