=== debian/control ===
Source: l2tpd
Maintainer: Jean-Francois Dive <jef@debian.org>
Priority: optional
Section: net
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 3.0.5)

Package: l2tpd
Priority: optional
Section: net
Architecture: any
Provides: l2tp
Depends: ${shlibs:Depends}
Description: A layer 2 tunneling protocol implementation.
 l2tpd is the open source implementation of the L2TP tunneling
 protocol (RFC2661). It does implement both LAC and LNS role 
 in a L2TP networking architecture. The main goal of this protocol is 
 to tunnel PPP frame trough an ip network.
